[algogeeks] Re: impliment cin : MS question

2011-03-05 Thread ritu
what question is being discussed here? On Mar 2, 6:11 pm, Ashish Goel wrote: > can it be done without use of a goto? remember that the user can use > backspace to remove the previous entered string...eg...before pressing > enter, the user enters abcdef so the string is abdef > > How to decide how

Re: [algogeeks] SPOJ PROBLEM

2011-03-05 Thread Arpit Sood
where is dp in your code ? btw, there is a spoj forum, you should search over there and you will get the required test cases where your code fails. Cheers! On Sat, Mar 5, 2011 at 11:45 PM, Logic King wrote: > i tried to solve the problem on spoj https://www.spoj.pl/problems/TRT/ > the problem is

[algogeeks] SPOJ PROBLEM

2011-03-05 Thread Logic King
i tried to solve the problem on spoj https://www.spoj.pl/problems/TRT/ the problem is based on DP i coded the problem as #include #include #include int arr[2000]; int main() { int i,l,r,age=1,n,sum=0; scanf("%d",&n); l=0,r=n-1; for(i=0;ihttp://groups.google.com/group/algogee

Re: [algogeeks] Search element in 2D row-wise colum-wise sorted matrix

2011-03-05 Thread albert theboss
the quadinary search will work well for this problem... step 1 : divide the matrix into 4 almost equal quadrands step 2 : being row wise sorted and column wise sorted the smallest value will be at the top left and largest value will be at the bottom right... if the value to be searched is wi

[algogeeks] Re: B Boxes & N Dollars & Make Money fro it

2011-03-05 Thread Dave
@Bittu: There are 3 cases: 1. If n = 2^b - 1, then put $1, $2, $4, ..., $(2^(b-1)) in the boxes. 2. If n < 2^b - 1, then there is some freedom in how to distribute the dollars into the boxes. One way that works is to put $1, $2, $4, ... (powers of two dollars) into as many boxes as you can, and the

Re: [algogeeks] Re: B Boxes & N Dollars & Make Money fro it

2011-03-05 Thread Anuj Agrawal
On Sat, Mar 5, 2011 at 5:37 PM, Gopi wrote: > n = 2^(b-1) Shouldn't this be n = SUM (2^k) where k = 0 to b-1? > each box should have x dollars where x is of from 2^y, y ranges from 0 > to (b-1). > > On Mar 5, 9:12 am, CodeTrooper wrote: >> I guess solution would be based on prime numbers. >> >>

[algogeeks] problem

2011-03-05 Thread Akash Mukherjee
Hi, I need some help. I am still a nube so if this is too easy, plz don't flame. I cannot understand how to approach the problem. Would appreciate any help. At CodeChef, The Chef can make 10 types of dishes numbered 0 through 9. He can however only make dishes one after another. Suppose The Chef

Re: [algogeeks] Re: printing without loop

2011-03-05 Thread Bhavesh agrawal
funny but correct ,i have a code of 100 lines of file named "b.cpp" so i use awk script to print only no. of lines and i got the exact desired result . #include using namespace std; int main() { system("awk '{print NR}' b.cpp"); } -- You received this message because you are subscribed to t

[algogeeks] Re: B Boxes & N Dollars & Make Money fro it

2011-03-05 Thread Gopi
n = 2^(b-1) each box should have x dollars where x is of from 2^y, y ranges from 0 to (b-1). On Mar 5, 9:12 am, CodeTrooper wrote: > I guess solution would be based on prime numbers. > > On Mar 5, 3:11 am, bittu wrote: > > > > > > > > > “You have b boxes and n dollars. If I want any amount of mo

Re: [algogeeks] spoj problem - INFINITY

2011-03-05 Thread Sudhir mishra
in net search infinite symbole and copy it--- -- You received this message because you are subscribed to the Google Groups "Algorithm Geeks" group. To post to this group, send email to algogeeks@googlegroups.com. To unsubscribe from this group, send email to algogeeks+unsubscr...@google

algogeeks@googlegroups.com

2011-03-05 Thread SUNITHA BUSETTY
SEXY DIYA MIRZA http://karomasti9.blogspot.com/2010/12/diya-mirza.html HOT AISHWARIYA RAI http://karomasti9.blogspot.com/2010/12/aish.html priyamani hot&sexy photos http://karomasti9.blogspot.com/2010/12/priyamani.html KATRINA SE

Re: [algogeeks] brain teaser

2011-03-05 Thread rajul jain
thankx terence and tushar On Thu, Mar 3, 2011 at 3:18 PM, Terence wrote: > All but the last person could get free. > The last person tells the parity of number of RED(or BLACK) hat before > him.(and pray God's forgiveness :<) > Then the rest can tell the color of his own hat using what he sees b